PooledConnectionMBean (Apache Tomcat 10.0.20 API Documentation)

Package org.apache.tomcat.jdbc.pool

## Interface PooledConnectionMBean

- All Known Implementing Classes:
    `PooledConnection`

      public interface PooledConnectionMBean

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `clearWarnings()` |
    `boolean` | `getAutoCommit()` |
    `String` | `getCatalog()` |
    `long` | `getConnectionVersion()` |
    `int` | `getHoldability()` |
    `long` | `getLastConnected()` |
    `long` | `getLastValidated()` |
    `String` | `getSchema()` |
    `long` | `getTimestamp()` |
    `int` | `getTransactionIsolation()` |
    `boolean` | `isClosed()` |
    `boolean` | `isDiscarded()` |
    `boolean` | `isInitialized()` |
    `boolean` | `isMaxAgeExpired()` |
    `boolean` | `isReadOnly()` |
    `boolean` | `isReleased()` |
    `boolean` | `isSuspect()` |

- - ### Method Detail

    - #### getConnectionVersion

          long getConnectionVersion()

    - #### isInitialized

          boolean isInitialized()

    - #### isMaxAgeExpired

          boolean isMaxAgeExpired()

    - #### isSuspect

          boolean isSuspect()

    - #### getTimestamp

          long getTimestamp()

    - #### isDiscarded

          boolean isDiscarded()

    - #### getLastValidated

          long getLastValidated()

    - #### getLastConnected

          long getLastConnected()

    - #### isReleased

          boolean isReleased()

    - #### clearWarnings

          void clearWarnings()

    - #### isClosed

          boolean isClosed()
                    throws SQLException

      Throws:
        `SQLException`

    - #### getAutoCommit

          boolean getAutoCommit()
                         throws SQLException

      Throws:
        `SQLException`

    - #### getCatalog

          String getCatalog()
                     throws SQLException

      Throws:
        `SQLException`

    - #### getHoldability

          int getHoldability()
                      throws SQLException

      Throws:
        `SQLException`

    - #### isReadOnly

          boolean isReadOnly()
                      throws SQLException

      Throws:
        `SQLException`

    - #### getSchema

          String getSchema()
                    throws SQLException

      Throws:
        `SQLException`

    - #### getTransactionIsolation

          int getTransactionIsolation()
                               throws SQLException

      Throws:
        `SQLException`